3.0.0
SVX 3.0.0 Release Notes
Software Release Date: 17 September 2025
Summary:
SVX 3.0.0 is a major release that introduces SVX Verify, expands standards support, and delivers operational improvements across the platform. With this release, we continue our commitment to providing a future-proof foundation for high-assurance digital identity and credential exchange.
SVX Verify: Launch of a new hosted service for low-friction, high-assurance identity verification, supporting both wallet-based and account-based models.
Self Signup: New customers can now sign up and access the SVX Sandbox independently, accelerating onboarding and testing.
Resource Hook: The Organisation Wallet can now fetch claims from external resource servers during credential issuance, simplifying integration with existing business systems.
OpenID4VCI & OpenID4VP v1.0 Support: Full support for the final 1.0 versions of these standards, aligning SVX with the broader ecosystem.
DCQL Support: Introduction of the Digital Credentials Query Language, providing a simpler, real-world-focused alternative to DIF’s Presentation Exchange.
DPoP Support: Optional Demonstrating Proof of Possession support added to Organisation and Holder Wallets for stronger token security.
Updated IETF SD-JWT VC (draft-08): All components updated to support the latest draft, including migration from
vc+sd-jwttodc+sd-jwt.Unified Configuration Framework: All components now use JSON-based configuration backed by JSON Schema, ensuring consistency, validation, and easier operations.
This release also includes multiple usability enhancements, bug fixes, and security updates across the Portal, SVX API, Organisation Wallet, and Holder Wallet.
Here are the highlights of the new features introduced in SVX 3.0.0:
New Features
SVX Verify
Identity verification is a critical step in digital journeys that require organisations to know the users' identity. Traditional approaches rely on document scanning and can be slow, costly and error prone. They introduce friction for users and complexity for organisations, all while creating new risks around oversharing of PII and compliance issues that come along with that.
SVX Verify offers a new way forward. Instead of relying on document scans, it leverages high-assurance digital identity solutions to deliver:
Streamlined identity verification: A user flow causing fewer drop-offs, higher conversions and overall reduced friction.
Go Live in Minutes: Use our hosted user experience to start verifying credentials with minimal setup or integration effort.
Future proof: Support for standards-based digital credentials as they roll out.
How it works
SVX verify makes it simple for organisations to integrate high-assurance identity verification into their workflows:
Define the identity attributes you’re looking to verify
Redirect to SVX Verify: From any integrated system, users are redirected to the hosted SVX Verify flow
Identity verification: Users verify their identity either by
Wallet-based credentials: Presenting digital credentials such as ISO Mobile Documents and IETF SD-JWT VCs directly from a wallet.
Account-based providers: Authorising a trusted identity provider to share verified attributes using OpenID Connect
Consent and security built-in: SVX Verify managed consent, data sharing and error handling, ensuring privacy and compliance.
Retrieve verified data: Verified attributes are retrieved via an API or made available in Portal.
Below is a journey that shows how SVX Verify can be used in hotels to enable online check-in using a wallet-based system:



Bridging today and tomorrow
SVX Verify is designed to fully embrace the new generation of secure, privacy-preserving digital credentials. As governments and private sectors worldwide adopt standards such as ISO Mobile Documents and IETF SD-JWT VCs, SVX Verify provides organisations with a pathway to accept these high-assurance credentials as they roll out.
At the same time, adoption will vary by country and ecosystem. Many markets already offer digital identity services through APIs and regulated identity providers. SVX Verify includes a bridge component that connects to these account-based ecosystems, allowing organisations to accept trusted identities today while creating derived credentials for use across their own networks.
Built on Organisation Wallet
SVX Verify is built on the SVX Organisation Wallet. It provides a hosted UI for end-users and an API-first model for organisations, ensuring rapid deployment without complex setup. By bridging today’s account-based identity providers with tomorrow’s wallet-based credentials, SVX Verify gives organisations a future-proof way to verify identity with high assurance, low friction, and full compliance.
Self Signup to SVX
Previously, new users had to contact Meeco directly to access the SVX Sandbox environment. We have now introduced a self signup form, allowing users to register themselves and begin testing SVX functionalities more quickly and easily.
This feature can be enabled/disabled on a per installation basis.

Issuance via Resource Hook
The Resource Hook is a new feature in the SVX Organisation Wallet that enables credential issuance using data from an external resource server.
When a credential issuance request is received, the Organisation Wallet automatically calls the configured resource server to fetch the required data. The returned values are then included as claims in the issued credential.
This approach separates responsibilities:
Organisation Wallet manages the technical aspects of issuance flows and ensures compliance with open standards (e.g. OpenID4VCI).
External resource server handles the business logic and provides the data that is included as claims in the credential.
This allows organisations to integrate the Organisation Wallet seamlessly into their existing systems without duplicating or moving business logic into the wallet itself.
The Resource Hook functionality can be configured directly in the Organisation Wallet.
For more details on configuration options, refer to Appendix B.
Standards Updates
OpenID4VCI and OpenID4VP v1.0 Support
After numerous years of being under development, both OpenID specifications have recently published a final version (1.0). We’re extremely proud to announce that the SVX Platform fully support Issuers, Verifiers and Wallet Providers in using these protocols in conjunction with ISO Mobile Documents, IETF SD-JWT VC and W3C Verifiable Credentials.
Below are some notable new features that are supported:
Support for DCQL
DCQL is defined in section 6 of the OpenID for Verifiable Presentations v1.0 specification:
The Digital Credentials Query Language (DCQL, pronounced [ˈdakl̩]) is a JSON-encoded query language that allows the Verifier to request Presentations that match the query.
DCQL simplifies the complexity of Presentation Exchange (PEX) by focusing on real-world use cases, offering a simpler design, practical features, and a specification tailored to the OpenID4VP protocol. For more information about DCQL, refer to OpenID for Verifiable Presentations 1.0. Refer to Appendix A for examples of DCQL Query.
Note that DIF Presentation Exchange (PEX) implementation remains unchanged and can still be used.
Support for DPoP
As recommended in the OpenID4VCI specification, under Best Current Practice for OAuth 2.0 Security, support for DPoP has been added to both the Organisation Wallet and the Holder Wallet. DPoP support is optional and can be enabled via component configuration.
Demonstrating Proof of Possession (DPoP) allows securing an access token by binding a cryptographic key into it. Usage of the access token is only allowed when a valid proof JWT is sent alongside in the request header. For more information about DPoP, refer to RFC 9449: OAuth 2.0 Demonstrating Proof of Possession (DPoP).
This complements really well the OAuth 2.0 Proof Key for Code Exchange (PKCE), which secures the exchange of the authorization code received in the authorization code flow. Both are mandatory in the FAPI 2 Security Profile, often considered an industry standard when it comes to security.
Transition to Final
The publication of the final 1.0 specifications is a major milestone and a clear signal to the digital credential ecosystem. While future iterations will emerge, Meeco is committed to treating this release as a long-term supported (LTS) baseline, ensuring stability and backwards compatibility for our customers.
During the draft process we introduced parameters such as protocol_version to handle multiple draft versions (e.g. OpenID4VP draft 10 and draft 18). However, maintaining compatibility with drafts creates unnecessary fragmentation. Each draft differs slightly, and no other ecosystem players are continuing to support them.
To promote alignment and reduce integration complexity, this release drops all support for draft versions and only accepts the final identifiers:
openid4vci-v1openid4vp-v1
These values are also applied by default when the parameter is not specified.
By consolidating on the final 1.0 specifications, we simplify integration, remove ambiguity, and ensure that our customers are fully aligned with the broader ecosystem moving forward.
Updated IETF SD-JWT VC to draft 08
As part as our commitment to follow and support most used credential formats in production use cases, we’ve updated all components to support draft 08 of the IETF SD-JWT-based Verifiable Credentials specification.
The most notable change introduced in this draft is a new credential format identifier:
From
vc+sd-jwtTo
dc+sd-jwt
Operating Updates
Unified (JSON-based) Configuration Framework
To make day-to-day operations easier, we’ve standardised how configuration for components is defined, validated and documented across the SVX Platform.
Previously, components used different formats (YAML, dotenv, etc.). All SVX components now use a single configuration format (JSON) with consistent file names and key structures across the platform. Common settings, such as database connections, are configured in the same way, no matter the programming language and framework used.
Every config is backed by a JSON Schema, which is validated automatically at container startup. This ensures that outdated or invalid configs fail fast, making misconfigurations easy (or at least easier) to detect and fix.
The JSON Schema also serves as living documentation, providing descriptions for every config key.
Component Updates
Portal
DCQL Support
Portal has been updated to support DCQL query creation and processing.
Added support for creation of a
Verification Templatewith DCQL Query.Create Verification Templatepage has now been separated into two tabs, PEX (Presentation Exchange) and DCQL (Digital Credentials Query Language)
Added support to view DCQL Query verification responses
Added support for viewing
Verification Templateswith DCQL Query format
New functionalities
Added detailed view of
constraintsformatandsignature algorithmforView Presentation Templatepage.
Added support for credentials using
dc+sd-jwtformat identifier.Added a link from the
Tenant/Organization Detailspage to the corresponding Dashboard.

Added ability to Create and View the
Credential Typetypefor W3C VC formats
Enhancements
Added
audience,IDP Login URL,Tenant IDandOrganization ID(if available) to applications. This makes it easier to configure system-to-system authentication using OAuth 2’s client credentials flow.Added confirmation code check when removing an end user from a tenant.

Allowed Global Admins to view archived tenant details from the Tenants list.
Updated the
jwt_vc_jsonverification template example for presentation exchange (PEX) to align with OpenID4VP v1.0.Organization Urlis no longer a required field when creating or editing an Organization, added regex validation.Changed
Disclosure Frameeditor from a plain text area, to a JSON code editor component forCredential Templatescreation and editing.Changed
Disclosure Frameto be editable forCredential Templates.
Removed
Removed support for creating credentials types and presentation templates using
vc+sd-jwtformat identifier. Replaced withdc+sd-jwtto align with OpenID4VCI V1.0Removed the ability to add end-users to a tenant from the portal.
Removed the
Pending End Userstab from the End Users page, along with all related pages and functionalities.
Bug Fixes
Fixed parsing of non-array
vp_tokensto show older verification_results correctly.Fixed an issue where the copied icon was not displaying correctly for copied values.
Removed duplicated ID field for global admin details in the View Administrator page.
Removed the Edit button for archived schemas to prevent unintended modifications.
Trimmed search input to remove unnecessary whitespace for
Tenants,Organisations,Credential Schemas,Credential Templates,Verification Templates, andVerification Responses.Fixed missing "No results found for '{search string}'" message when searching archived Credential Templates, Verification Templates, and Verification Requests with no matches.
Fixed missing "No archived Credential Templates / Verification Templates / Verification Requests found" message when no archived items are available for these sections.
Fixed error handling for creating credential schema - the page no longer hangs when the schema name is too long and an appropriate error message is shown.
Updated the following error messages to be more user-friendly:
field_too_long,invalid_company_url,agent_with_this_name_already_exists.Fixed validation to correctly detect syntax errors in uploaded JSON files on the
Create Schemapage.Fixed an issue where error messages persisted during tenant creation and when adding an administrator.
Fixed the Add button on the
Add Administratorpage to only become clickable after input fields are valid.Fixed the Create button in the
Create Credential TemplateandCreate Verification Templatepage to only become clickable after input fields are valid.Fixed areas that were missing Japanese translations.
Fixed
FormatonCredential Typestables displayed the format for mdoc as its doctypeFixed
valid at issuanceso that thevalid_atvalue is set to null for credential types, ensuring the credential is valid at the time of issuance.Fixed credential type preview
Valid Fromto calculate based on the current timestamp instead of the credential type’s creation date.Fixed a bug that didn't accept the edited version of the
Disclosure Framewhen creating aCredential Templates.Fixed an issue where the docType
org.iso.18013.5.1.mDLwas automatically converted toMobile Driving License (mDL ISO/IEC 18013-5:2021). All credentials using Mobile Document show as (ISO Mobile Document).Fixed the portal login page title to reflect the correct title. It is also configurable in IDP with the config setting
branding->app_title.
SVX API
OpenID4VP v1.0 Support
Added new parameters to
POST /presentation_definitionsto add support for DCQL Querytype-'pex' | 'dcql'
Added new properties to
POST /presentation_requestresponseparameters.dcql_queryparameters.presentation_definition_type
Added new
model_versionvaluedcql-openid4vp-v1toPresentationDefinitionAdded
typequery parameter toGET /presentation_definitionsendpoint
Self-Signup
New Endpoints
GET /signup- Display public signup registration formPOST /signup- Submit signup registration with reCAPTCHA validationGET /signup/success- Show signup confirmation pageGET /signup/resend-verification- Display resend verification email formPOST /signup/resend-verification- Resend verification email with reCAPTCHA validationGET /signup/resend-verification/success- Show resend verification confirmation page
Features
Email verification workflow with token-based validation
reCAPTCHA protection on all form submissions
Feature toggle support via
signup.enabledconfig variableIntegration with existing notification system for verification emails
Automatic user and tenant creation upon successful email verification
Company name uniqueness validation to prevent duplicate tenant names
Configuration Properties
enabled- Whether user signup is enabledverification_token_expiry_seconds- Signup verification token expiry time in secondsresend_verification_cooldown_seconds- Signup cooldown period for resending verification emailsconfirmation_email_recipient- Email address to receive signup confirmationsAdded an endpoint
POST /tenant/with_admin/{user_id}that allows creating a new tenant where the first admin is not the current user but the user specified by theuser_idparameter.Enhanced invitation creation with email normalization (case-insensitive).
New Functionalities
Added a public endpoint
GET /orgs/{org_id}/logothat redirects a client to the logo of the organisation.
Enhancements
Latest SD-JWT-VC draft-08 related changes.
Updated the credential type format identifier from
vc+sd-jwttodc+sd-jwtfor SD-JWT credential types.The credential header
typfor SD-JWT is now set todc+sd-jwtfor new credential generation. Verification continues to support bothsd-jwt-vcanddc+sd-jwtformat identifiers to ensure backward compatibility.
POST /openid/presentations/requestspayload parameterscopeno longer defaults toopenid. If nothing provided, it will benull.Updated password minimum length requirement to 12 characters.
Removed
Removed support for OpenID4VP draft-18:
openid4vp-draft18presentation requests created in the past are still returned by the API, but there is no way to create new ones. Useprotocol_version = openid4vp-v1.Removed
client_id_schemepayload parameter fromPOST /openid/presentations/requests.
Bug Fixes
Fixed storing events in development when
users.login_id(username) is not a UUID.Fixed storing
ItemDeletedevents correctly.
Security Updates
Upgraded Node to
22.14 LTSUpgraded Ruby to
3.4.5Upgraded Erlang to
27.3.4.2Updated Elixir to
1.18.4
Organisation Wallet
SVX Verify
Added SVX Verify with the following pages:
/identity/verification/:idSessionStep = Index Verifier landing page/identity/verification/:idSessionStep = Share Displays the QR code for wallet based flows or a Sharing Credentials... screen for account based flows/identity/verification/:idSessionStep = Complete Displays the results of the verification process, success/identity/verification/:idSessionStep = Error Displays the results of any errors that occur, with the following information:error_code,error_descriptionanderror_tips.
Endpoints:
Added verify layout to apply to all
/identity/verification/routesGET /identity/verification/:id/statuschecks and returns status of the identity verification flow sessionGET /identity/verification/:id/requestreturns identity verification presentation request tokenPOST /identity/verification/:id/idp/:idpupdates session with selected IDPPOST /identity/verification/:id/abortaborts the session, returning toreturnURLPOST /identity/sessionsfor session management, acceptsreturn_url,success_urlandpresentation_template_idGET /identity/sessions/:idfor integrators to fetch the session state andverified_claimsPOST /identity/languagefor language switching, acceptsko,jp,enandzh-hkGET /identity/informationendpoint to renderclient_urifor Select ID integration
Configuration changes:
Added
svx_verify.enabledto config to enable/disable all/identity/routesAdded
svx_verify.brand_nameto configure the brand name throughout the platformAdded
svx_verify.operating_company_nameto configure the name of the company operating the platform throughout SVX VerifyAdded
svx_verify.presentation_template_idsto configure available Presentation Template for identity verification flowAdded
svx_verify.response_modeto control the response mode for IDP verificationAdded
svx_verify.session_expiryfor identity verification session expiry timeAdded
svx_verify.active_idpsto control the available IDPsAdded
svx_verify.bridge_authorize_urlfor bridge authorize entrypointAdded
svx_verify.bridge_client_idfor bridge authorization code flowAdded
svx_verify.presentation_request_multiple_loads_enabledto control if the request can be loaded multiple times or only onceAdded
svx_verify.manual_terms_acceptance_enabledto control if the deployment asks the user to check the "Accept" boxAdded
svx_verify.verifier_informationcontaining various information about the organisation
OpenID4VCI v1.0 Support
Configuration changes:
Added new configuration value for
protocols.issuance-openid4vci-v1Added new configuration parameter
credential_issuer.max_batch_credential_issuance_sizeAdded new configuration
credential_issuer.oidc_clientsto register clients for the Issuer IDPAdded optional
credential_issuer.include_x5cconfiguration attribute
Renamed
POST /credentialstoPOST /credentialas per OpenID4VCI specAdded
background_imageto display credential metadataChanged credential metadata returned from
/.well-known/openid-credential-issuerto match OpenID4VCI v1.0mso_mdoccredential are returned as base64url encoded string ofissuerSignedobject
DPoP Support
POST /tokenandPOST /credentialendpointscredential_issuer.dpop_enabledconfiguration added
OpenID4VP v1.0 Support
New
openid4vp-v1value toprotocols.presentationvalues listNew
response_modeoptions:dc_apianddc_api.jwtclient_idprefixes:redirect_uri,decentralized_identifierandx509_san_dnsSupport for
expected_originsparameter inPOST /presentations/requestspayloadPresentation request contains
client_metadatawithvp_formats_supportedlistedPresentation request
client_metadata.authorization_encrypted_response_algreplaced byalgvalue from JWKSPresentation request
client_metadata.authorization_encrypted_response_encrenamed toencrypted_response_enc_values_supported(array)Changed presentation request
scopeattribute value. It no longer defaults toopenid. It will be included into the token only if explicitly provided.Changed response in
POST /openid/presentations/requests/:requestId/submissionsfromsubmissionIdtosubmission_idConfiguration changes:
Added optional
presentation.request.include_x5cconfiguration attributeAdded required
presentation.request.default_response_modeconfiguration attribute
Bridging Entity
Added new configuration
credential_claims_map, an array of claims mapping from external sourcesAdded claim display options
essential_claims,optional_claimsAdded new optional configuration groups under
integrationsAdded generic
POST /interaction/:uid/select_authorization_serverendpoint to handle form submissions from connectionsAdded generic
select_authorization_serverto handle all bridge connection based interaction and its respectiverenderfunction
Resource Hook
Feature to fetch claim from a resource server
Added new configuration group
resource_hook:resource_hook.endpoint: URL of resource serverresource_hook.send_schema_json: Boolean to include schema JSON of credential in resource hook call (for debugging)
IETF SD-JWT VC (draft-08) Support
Updated the credential type format identifier from
vc+sd-jwttodc+sd-jwtfor SD-JWT credential typesThe credential header
typfor SD-JWT is now set todc+sd-jwtfor new credential generation
New Functionalities
Added language selection that can be controlled via
?ui_locales=enquery parameter andui_localescookie:Added English, Japanese, Chinese (HK) and Korean translations
Added new parameter
verifierRedirectUritoPOST /presentations/requestsAdded
redirect_uriin return body toPOST /openid/presentations/requests/:requestId/submissionsif presentation request was created withverifierRedirectUriAdded new option configuration variable
presentation.request.default_expected_originsAdded DCQL support (based on OpenID4VP v1):
Create presentation request with
dcql_queryVerify presentation response for presentation request with
dcql_query
Added
VerifierErrorto catch and render any unexpected errors for front-end related routesAdded PostgreSQL database support and configuration
postgresto the codebaseAdded persistent identity verification session data model
Enhancements
Application configuration changes:
Moved
c_nonce_expires_infrom the root level tocredential_issuer.c_nonce_expires_inMoved
oid4vc.redis_state_manager_key_expiration_timetostate_manager.default_expiryRemoved
oid4vcconfiguration keyRenamed
svx.organization.auth_uritosvx.organisation.token_urito match the purpose of the configuration value
Test UI changes:
Updated string-type field rendering: rendered as textarea by default, or as date input when format is set to
"date"Added
dark:text-whiteclass to field labels and set a fixed white background behind the QR codeUpdated boolean type to render as radio buttons instead of a checkbox
Allowed integer values to be passed as-is instead of converting them to strings
Additional checks done if configured key contains
x5cattribute:Ocertificate attribute must be providedCcertificate attribute must be providedCNcertificate attribute must be provided and matchapp.base_urlhost namesubjectAltNamecertificate attribute must be provided and matchDNS:app.<base_url host name>format
Additional checks for duplicate
vctordoctypevalues for credential types within the organisation:If a credential type has a duplicated
vctordoctype, it will be removed from thesupportedCredentialTypes. Errors will be logged at startup when duplicates are detectedGET system/svx/reload_datareturns a 400 error if the organisation has duplicated credential types
Endpoint changes:
Response of
POST /presentations/requestkeys transformed to snake case to match the rest of the APIResponse of
POST /presentations/requests/:id/statskeys transformed to snake caseChanged
/interaction/:uidendpoint to render an error page instead of raw JSON
Changed
getCredentialDisplayMetadatato use the credential type name instead of the schema nameAdded support for
contentEncodingandcontentMediaTypeattributes in JSON schema when claims are automatically generated:Supported encodings:
base64Supported media types:
image/png,image/jpeg,image/svg+xml
Removed
Removed support for OpenID4VCI-draft13
Removed
openid4vci-draft13configuration value fromprotocols.issuanceRemoved presentation request JWT claims
sub,client_namesince they are not standardRemoved
submission_idattribute fromPOST /openid/presentations/requests/{requestId}/submissionsendpoint responseRemoved
supported_credential.<ID>.expiryconfiguration (replaced byexpires_at,expires_in)Removed support for OpenID4VP draft-18
Removed
credential_issuer.supported_credentialconfiguration properties replaced by SVX API:vctexpires_atexpires_invalid_atvalid_iondisclosure_frame
Removed
sd_jwt_vc.reserved_claim_keysconfiguration (claims list from@meeco/sd-jwt-vclibrary is used as default)
Bug Fixes
Added validation for
POST /openid/presentations/requests/:requestId/submissionsto check whethervp_tokenis an empty array represented as'[]'Fixed application crash when
credential_typesselection was blank on/test/issueform:Added backend validation for missing
credential_typesand claimsEnforced required selection in the frontend
Fixed
x5chaininCOSE_Sign1for issuedmso_mdoc:Single certificate is included as a byte array string instead of an array of single byte array string
Fixed error handling on bad JSON payload: now returns HTTP 400 instead of HTTP 500
Fixed security declaration of public endpoints in
api-spec.yaml
Security Updates
Upgraded
oidc-providerto version8.8.1
Holder Wallet
Bridging Entity
Added
bridge_walletobject to config, includes:enabled: Turns on the bridge wallet setupexternal_reference: string representing the external reference for wallet initialisationwallet_key_type: defines thektyandcrvissuer_wallets: contains information related to IDPs used for the Bridge issuance flow
Added
/authorizeendpoint to initialise the bridge_wallet flow
New Functionalities
DPoP support - detect
dpop_signing_alg_values_supportedfrom/.well-known/openid-configurationAdded
SetupServiceprovider toAppModulefor post initialization setupSupports PEX and DCQL Presentation Request
Added
/authorize/receive/callbackendpoint for bridge_wallet initiated flows to return toAdded the credential format type
dc+sd-jwtfor SD-JWT credential typesAdded OpenID4VP DCQL support:
Register Presentation Request with
dcql_querySubmit Response from a presentation request with
dcql_query
Added OpenID4VP v1.0 support:
POST /wallets/:id/sendprotocol_version added withopenid4vp-v1Added validation for
x509_san_dnsVerifier Client Identifier Scheme to ensure the identifier is a URL and matches thedNSNameSAN entry of the x.509 leaf certificate
Added OpenID4VCI draft16 support:
New default and only issuance
protocol_versionvalue isopenid4vci-v1
Added optional
key.client_assertion_jwkto enableprivate_key_jwtclient auth where needed
Enhancements
This upgrade includes the latest SD-JWT-VC draft-08 related changes:
Focused on mandatory SD-JWT VC draft-08 JOSE Header
typchanges (dc+sd-jwt), deferring optional type metadata (type as URL) implementation to a future epic
Legacy
vc+sd-jwtformat is now marked as deprecated. All new issuance and presentation requests should use the newdc+sd-jwtformatExisting
vc+sd-jwtcredentials will continue to work in storage and for verification and presentationChanged
GET /wallets/{:id}/receive/{:state}response attributes:proofhas been replaced withproofsandproofs.jwtis always an arraymso_mdocissuance - expects a base64url encodedIssuerSignedas per OpenID4VCI v1.0 spec (changed from previous implementation expecting aDeviceResponse)
Removed
Removed
GET /wallets/{:id}/receive/{:state}response attributes:c_noncec_nonce_expires_in
Removed
POST /wallets/{:id}/receive/get_access_tokenresponse attributes:c_noncec_nonce_expires_in
Removed
POST /wallets/{:id}/receive/get_credentialresponse attributes:c_noncec_nonce_expires_in
Removed
openid4vp-draft18supportclient_id_schemeis no longer used separately from theclient_idclient_metadata_uriparameter is no longer supportedRemoved
pre_registered_client_id_scheme_default_metadataconfiguration attribute since it is no longer used anywhere
Bug Fixes
Fix incorrect SVX host config variable reference used in DID Service Factory
Fixed issue with creating an
mso_mdocdevice response in mixed-format presentation definitions (e.g., those includingjwt_vc_jsonordc+sd-jwt), where it incorrectly attempted to matchmso_mdocVCs against input descriptors for other formatsFixed security declaration of public endpoints in OpenAPI spec
Deprecations and EOL
The use of the credential format identifier
vc+sd-jwtis deprecatedRemoved
openid4vp-draft18protocol version support for OpenID4VP protocol;openid4vp-v1should be used insteadRemoved
openid4vci-draft13protocol version support for OpenID4VCI protocol;openid4vci-v1should be used instead
Appendix
Appendix A - DCQL Query Examples
jwt_vc_json
jwt_vc_jsonWhen used in the context of W3C Verifiable Credentials, the claims_path parameter always matches on the root of Verifiable Credential (not the Verifiable Presentation).
Example jwt_vc_json credential
Simple query
dc+sd-jwt
dc+sd-jwtSimple query
mso_mdoc
mso_mdocSimple query
Appendix B - Resource Hook
Resource Hook is a feature to call an external resource server when a credential is requested via OpenID4VCI protocol.
Non-normative example of resource hook configuration:
A http request to the configured resource_hook.endpoint will be sent with the following payload
The format specific credential identifier(s) will only have value when it is the corresponding format identifier.
For example, if a request for a sd-jwt vc is received by the SVX Organisation Wallet, the following will be sent to the resource server.
schema is only sent if resource_hook.send_json_schema is set to true. It is meant to help with testing and development. It is expected that the resource server would be able to identify the required claims based on the format specific credential identifier. Sending the schema for each request is additional payload that should be not necessary.
For security considerations, X-SVX-OCW-Signature will be sent along in the HTTP header. It is a signature of the JSON string of the payload, signed with the same key that signs credentials. (SVX Organisation DID or the key of the configured credential_issuer.signing_kid) This can be used to verify that the call is from the expected SVX organisation wallet component.
The expected response is of the following format:
Last updated